JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
// Create an Android box
const box = await gboxSDK.create({ type: "android" });
// Get app operator for interaction capabilities
const androidApp = await box.app.get("com.android.settings"); // package name
// Restart the app
await androidApp.restart();
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create an Android box
box = gbox_sdk.create(type="android")
# Get app operator for interaction capabilities
android_app = box.app.get("com.android.settings") # package name
# Restart the app
android_app.restart()
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/android/packages/{packageName}/restart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activityName": "com.android.settings.Settings"
}
'Android
Restart app
Closes and immediately reopens the specified Android application inside the box
POST
/
boxes
/
{boxId}
/
android
/
packages
/
{packageName}
/
restart
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
// Create an Android box
const box = await gboxSDK.create({ type: "android" });
// Get app operator for interaction capabilities
const androidApp = await box.app.get("com.android.settings"); // package name
// Restart the app
await androidApp.restart();
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create an Android box
box = gbox_sdk.create(type="android")
# Get app operator for interaction capabilities
android_app = box.app.get("com.android.settings") # package name
# Restart the app
android_app.restart()
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/android/packages/{packageName}/restart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activityName": "com.android.settings.Settings"
}
'Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Android app package name
Example:
"com.example.myapp"
Body
application/json
Android pkg start
Activity name, default is the main activity.
Example:
"com.android.settings.Settings"
Response
200 - undefined
Was this page helpful?